/* ---------------- HEADER ------------------- */
#header {
  position: relative;
  width: 100vw;
  height: 100vh;
}

/* Filtre noir image background */
#header::before {
  content: '';
  position: absolute;
  background-color: rgba(0, 0, 0, 0.3);
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1;
}

.topHeader {
  position: fixed;
  z-index: 8;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding: 10px;
  transition: 500ms padding ease, 200ms background-color ease;
}

#topHeaderScrolled {
  background-color: rgb(255, 255, 255, 0.8);
  padding: 7px 10px;
}

#logo {
  width: 50px;
  background-color: white;
  height: 50px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9;
}

#logo img {
  width: 35px;
  height: 35px;
}

.hamburger {
  cursor: pointer;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  width: 30px; /* Largeur du hamburger */
  height: 25px; /* Hauteur du hamburger */
  z-index: 6;
}

.bar {
  height: 3px;
  width: 100%;
  background-color: white; /* Couleur des barres */
  transition: all 0.3s;
}

.blackcolor {
  background-color: black;
}
.open .bar:nth-child(1) {
  background-color: white;
  transform: rotate(45deg);
  position: absolute;
}

.open .bar:nth-child(2) {
  transition: all 0s;

  opacity: 0;
}

.open .bar:nth-child(3) {
  background-color: white;
  transform: rotate(-45deg);
  position: absolute;
}

.dropdownMenu {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  background-color: var(--color-bistro);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
  z-index: 5;
  display: flex;
  flex-direction: column;
  padding-top: 70px;
  padding-bottom: 10px;
}

.linkTel:active {
  background-color: white;
  color: var(--color-bistro);
}

.linkTel {
  cursor: pointer;
  padding: 15px 20px;
  color: white;
  width: 80%;
  align-self: center;
  font-size: 16px;
  text-transform: uppercase;
  text-align: center;
  text-decoration: none;
}

#btnReservation {
  position: relative;
  display: block;
  padding: 5px;
  margin: auto;
  margin-top: 15px;
  background-color: transparent;
  border: 2px solid black;
  border-radius: 3px;
  transition: 200ms all ease;
}

#btnReservation:hover {
  background-color: black;
  color: white;
}

.containerNumber {
  position: relative;
  top: -10px;
  background-color: white;
  margin: auto;
  padding: 10px;
  display: flex;
  gap: 5px;
  margin-top: 10px;
  opacity: 0;
  transition: all 500ms ease;
}

.containerNumberOpen:hover {
  background-color: black;
}

.containerNumberOpen {
  top: 0px;
  opacity: 1;
}

#number {
  font-family: var(--font-family-title);
  font-weight: bold;
  word-spacing: -2px;
}

.arrowtop {
  top: -5px;
  left: 50%;
  position: absolute;
  display: block;
  background-color: white;
  width: 10px;
  height: 10px;
  transform: translate(-50%) rotate(45deg);
}
.svgPhone {
  width: 20px;
}
.menuDivider {
  height: 1px;
  background-color: white;
  width: 80%;
  align-self: center;
}

.socialNetwork {
  z-index: 9;
  position: absolute;
  display: flex;
  top: 20px;
  left: 50%;
  transform: translate(-50%);
}

.logoNetwork {
  width: 30px;
  height: 30px;
  fill: white;
}

#headerTextCenter {
  width: 100%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  /* Couleur du texte */
  z-index: 2;
  font-size: 15px;
}

#title {
  display: block;
  width: 200px;
  margin: auto;
  font-size: 2em;
  text-align: center;
  line-height: 40px;
  font-family: var(--font-family-title);
}

#description {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: 1.1em;
  font-family: var(--font-family-text);
  padding: 0 10px;
}

.desktopHeader,
.desktopMenu,
.socialNetworkDesktop {
  display: none;
}

#horaire {
  position: absolute;
  margin: auto;
  width: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

#headerHoraire {
  display: flex;
  gap: 5px;
  cursor: pointer;
  align-items: center;
}
.chevron {
  width: 20px;
  height: 20px;
  transition: 200ms transform ease;
}

.chevronOpen {
  transform: rotate(90deg);
}

.horaireContainer {
  position: relative;
  max-height: 0;
  transition: all 200ms ease;
  overflow: hidden;
}

.horaireContainerVisible {
  visibility: inherit;
  max-height: 300px;
}

#headerHoraire p {
  margin-bottom: 2px;
  font-family: var(--font-family-title);
}

.horaireItem {
  display: flex;
  justify-content: space-between;
  gap: 10px;
  font-family: var(--font-family-text);
}
/* Styles pour les écrans plus grands */
@media (min-width: 1250px) {
  .topHeader {
    position: fixed;
    width: 100vw;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    z-index: 5;
  }
  #topHeader {
    padding: 50px;
  }

  #topHeaderScrolled {
    background-color: rgb(255, 255, 255, 0.8);
    padding: 20px 50px;
  }

  .hamburger {
    display: none;
  }

  .socialNetworkDesktop,
  .desktopMenu {
    display: flex;
    transform: none;
    z-index: 5;
  }

  .desktopMenu {
    font-family: var(--font-family-text);
    font-size: 0.9em;
    gap: 25px;
  }

  #logo {
    width: 70px;
    height: 70px;
  }

  #logo img {
    width: 50px;
    height: 50px;
  }

  .socialNetworkDesktop {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .logoNetwork {
    width: 40px;
    height: 40px;
  }

  .instagram {
    transition: 200ms all ease;
  }

  .instagram:hover {
    transform: scale(1.1);
  }
  #title {
    width: auto;
    font-size: 4em;
  }

  .menuItem {
    text-transform: uppercase;
  }

  .link {
    cursor: pointer;
    background-image: linear-gradient(black, black);
    background-size: 0% 1px;
    background-repeat: no-repeat;
    transition: background-size 0.3s;
    background-position: 0 100%;
  }

  .link:hover {
    background-size: 100% 1px;
    background-position: 0 100%;
  }

  #horaire {
    margin: 20px auto 0;
  }
  .chevron {
    width: 20px;
    height: 20px;
    transition: 200ms transform ease;
  }

  .chevronOpen {
    transform: rotate(90deg);
  }

  #headerHoraire p {
    font-size: 1.4rem;
    margin-bottom: 5px;
    font-family: var(--font-family-title);
  }

  .horaireItem {
    font-size: 1.2rem;
    font-family: var(--font-family-text);
  }
}
